{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Change Status
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                Change Update Status
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <table class="table table-hover table-striped" style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">Work Done</th>
                        <th style="word-wrap: break-word">Link</th>
                        <th style="word-wrap: break-word">Date</th>
                        <th style="word-wrap: break-word">Status</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    <form method="POST">{% csrf_token %}
                        {% for newUpdate in updateInfoList %}
                            <tr>
                                <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                                <td style="word-wrap: break-word">{{ newUpdate.work }}</td>
                                <td style="word-wrap: break-word">{{ newUpdate.link_to_use }}</td>
                                <td style="word-wrap: break-word">{{ newUpdate.date }}</td>
                                <td style="word-wrap: break-word">
                                    {% if newUpdate.show_status %}
                                        <button class="btn-rounded btn btn1-danger" name="hide" value="{{ newUpdate.pk }}" type="submit">Hide
                                        </button>
                                    {% else %}
                                        <button class="btn-rounded btn btn-dark-green" name="show" value="{{ newUpdate.pk }}" type="submit">Show
                                        </button>
                                    {% endif %}
                                </td>
                            </tr>
                        {% endfor %}
                    </form>
                    </tbody>
                </table>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy'});
        });

    </script>

{% endblock %}